View Issue Details

IDProjectCategoryView StatusLast Update
14981Bug reports[All Projects] Otherpublic2019-06-21 13:31
Reporterf_funkeAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status resolvedResolutionfixed 
Product Version4.0.0-beta 
Target VersionFixed in Version4.0.0-beta 
Summary14981: Global Survey Settings: Added warning that changes affect all surveys
Description

As changes of global survey settings affect all surveys that use inherited values, it would be good if there was a big warning message for those who do not know how inheritance works. In the present implementation changes are pretty high that users accidentally change surveys.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-beta github 190614
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionmySQL LimeSurvey DB 416
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2.7

Activities

dominikvitt

dominikvitt

2019-06-21 13:31

developer   ~52487

This issue is fixed.
The patch is available now on GitHub and would be available on next LimeSurvey release.

https://github.com/LimeSurvey/LimeSurvey/commit/766c909bb068f3e1886521004d47b44c4592581a

Issue History

Date Modified Username Field Change
2019-06-16 16:20 f_funke New Issue
2019-06-19 13:10 dominikvitt Assigned To => dominikvitt
2019-06-19 13:10 dominikvitt Status new => assigned
2019-06-21 13:31 dominikvitt Status assigned => resolved
2019-06-21 13:31 dominikvitt Resolution open => fixed
2019-06-21 13:31 dominikvitt Fixed in Version => 4.0.0-beta
2019-06-21 13:31 dominikvitt Note Added: 52487